// file can ONLY be included!
#include <fcntl.h>
#include <sys/stat.h>
#include <unistd.h>
#include <PlatformConfig.h>
#include <pthread.h>
#ifndef SYSTEMSLEEP
#include "PlatformOS.h"
#define SYSTEMSLEEP(x) OS::SleepMilliseconds(x);
#endif

namespace WebCore {
class AppConfigStandardFileHook : public LibPlatform::ApplicationConfig::FileHook
{
	virtual long long GetFileSize(int fd)
	{
		struct stat st;
		if(fstat(fd, &st) < 0)
			return 0;
		return st.st_size;
	}
	virtual int Open(const char *url)
	{
		return open(url, O_RDONLY, 0);
	}
	virtual int Read(int fd, long long offset, void *buffer, int count)
	{
		return read(fd, buffer, count);
	}
	virtual void Close(int fd)
	{
		if(fd >= 0)
			close(fd);
	}
};
static LibPlatform::ApplicationConfig::FileHook *sAppConfigFileHook;
};

