/*
 * Copyright (c) 2012 NINTENDO.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions, and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions, and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY NINTENDO AND ITS CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL NINTENDO OR CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef WIIUSCROLLCONSTANTS_H_
#define WIIUSCROLLCONSTANTS_H_

class WiiUScrollConstants {
public:
	static const int NumAccelParams = 4;

	static float min_scroll_velocity() {
		return m_minScrollVelocity;
	}

	static int min_scroll_successive_velocity_events() {
		return m_minScrollSuccessiveVelocityEvents;
	}

	static double rail_start_proportion() {
		return m_railStartProportion;
	}

	static double rail_break_proportion() {
		return m_railBreakProportion;
	}

	static double min_rail_break_velocity() {
		return m_minRailBreakVelocity;
	}

	static double min_flick_speed_squared() {
		return m_minFlickSpeedSquared;
	}

	static float default_acceleration() {
		return m_defaultAcceleration;
	}

private:

	static float m_minScrollVelocity;
	static int m_minScrollSuccessiveVelocityEvents;
	static double m_railStartProportion;
	static double m_railBreakProportion;
	static double m_minRailBreakVelocity;
	static double m_minFlickSpeedSquared;
	static float m_defaultAcceleration;

};
#endif /* WIIUSCROLLCONSTANTS_H_ */
